shishi (1.0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062896

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:52:14 +0000

shishi (1.0.3-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Bump Standards-Version: to 4.6.2.
  * Build-Depend on libidn-dev not libidn11-dev.
  * Use valgrind [amd64] due to #1061496, #1057693 and similar problems.
  * Bump d/copyright year.

  [ Michael Biebl ]
  * Install PAM module into /usr. (Closes: #1061854)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 30 Jan 2024 17:09:13 +0100

shishi (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Drop gbp dch id-length.
  * Drop all patches (fixed upstream).
  * Bump Standards-Version to 4.6.1.
  * B-D on valgrind-if-available, and use it for self-checks.
  * Use not-installed instead of -X.la.
  * Use B-D-I for docs.
  * Install shishi-version.h instead of shishi-int.h.
  * Drop debian/source/lintian-overrides.
  * Update paths/years in d/copyright.
  * Add misc:Pre-Depends to shishi-kdc.
  * Mark libshishi as allow-stderr.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 07 Aug 2022 18:29:29 +0200

shishi (1.0.2-11) unstable; urgency=medium

  * [095bda7] Use gbp dch id-length 7.
  * [27b95b4] Update Standards-Version to 4.6.0.
  * [28a72c2] libpam-shishi: Add Multi-Arch:same.
  * [37b8b5c] debci: Use upstream self-test, making it non-superficial.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 20 Aug 2021 12:19:33 +0200

shishi (1.0.2-10) unstable; urgency=medium

  * Fix path for PAM module.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 31 Jan 2021 09:41:56 +0100

shishi (1.0.2-9) unstable; urgency=medium

  * Multi-Arch: same for libshisa-dev, libshisa0, libshishi-dev, libshishi0.
  * Wrap-and-sort.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 15 Jan 2021 10:41:25 +0100

shishi (1.0.2-8) unstable; urgency=medium

  [ Simon Josefsson ]
  * Use dh.
  * Bump compat from 10 to 13.
  * Mark shishi-common and shishi-doc as Multi-Arch: foreign.
  * Standards-Version 4.5.1.
  * Update watch file to version 4.
  * Improve upstream/metadata.
  * Move GTK-DOC manual from /usr/share/gtk-doc/html/shishi/ to
    /usr/share/doc/shishi-doc/gtk-doc/ and provide a link in the former
    path.  Silences lintian doc-base-file-references-wrong-path.
  * Silence lintian false positive about cyclo-shishi.html.
  * Wrap-and-sort.
  * Rules-Requires-Root: no.
  * shishi-doc put docs into /usr/share/doc/shishi/ as per policy 12.3.
  * Don't ship PostScript manual (HTML and PDF is still included).
  * Add autopkgtest.
  * shishi-kdc Pre-Depends: ${misc:Pre-Depends} for init-system-helpers.
  * Drop README.source.
  * Updated upstream/signing-key.asc.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Update standards version to 4.5.0, no changes needed.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Jan 2021 19:17:16 +0100

shishi (1.0.2-7) unstable; urgency=medium

  * Acknowledge NMUs.
  * Bump compat to 10 (not higher because of #885407).
    - Drop dh-autoreconf.
  * Standards-Version 4.4.0.
  * Drop shishi-dbg package.
  * Priority: optional instead of extra.
  * Update Vcs-Browser, Vcs-Git, and Homepage URLs.
  * Use https in copyright Format.
  * Update upstream-signing-key.pgp.
  * Use https in watch file.
  * Add Build-Depends-Package to symbol files.
  * Drop obsolete shishi-kdc.postinst.
  * Enable hardening.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 23 Jul 2019 11:14:28 +0200

shishi (1.0.2-6.2) unstable; urgency=medium

  * Non-maintainer upload with greeting from Gothenburg BSP.
  * Add debian/patches/portability-changes.diff (Closes: #924123)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 07 Apr 2019 13:26:04 +0200

shishi (1.0.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update files from gtk-doc-tools 1.27 to fix FTBFS
    with gtk-doc-tools >= 1.26. (Closes: #876573)
  * Update the build dependency from libgcrypt11-dev
    to libgcrypt-dev. (Closes: #864133)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Jan 2018 16:47:40 +0200

shishi (1.0.2-6) unstable; urgency=low

  * Move to collab-maint.  Closes: #781200.
  * Add debian/gbp.conf and update debian/README.source.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Apr 2015 10:12:03 +0200

shishi (1.0.2-5) unstable; urgency=low

  * Update standards version to 3.9.6.
  * Fix typo in copyright file.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 07 Oct 2014 23:29:55 +0200

shishi (1.0.2-4) unstable; urgency=low

  * Acknowledge NMU.  Closes: #755168.
  * Update standards version to 3.9.5.
  * Diff-ignore more in debian/source/options.
  * Use dh-autoreconf.  Closes: #733582.
  * Use libgcrypt20.  Closes: #753150.
  * Add debian/upstream-signing-key.pgp.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 15 Aug 2014 22:21:29 +0200

shishi (1.0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload. (LowNMU)
  * Stop build-depending on transitional package libtasn1-3-dev.
    Closes: #743807
  * Build against libgnutls28-dev. Closes: #753149

 -- Andreas Metzler <ametzler@debian.org>  Fri, 18 Jul 2014 13:14:41 +0200

shishi (1.0.2-3) unstable; urgency=low

  * Moved from experimental to unstable after testing.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 10 Nov 2013 09:40:46 +0100

shishi (1.0.2-2) experimental; urgency=low

  * Add patches/series.  Closes: #704742.
  * Version 1.0.2 solves gets gnulib bug.  Closes: #707428.
  * Remove obsolete 'DM-Upload-Allowed'.
  * Update standards version to 3.9.4.
  * Rewrite README.source to sync with move from CVS to git.
  * Update Vcs-* to point at new Debian packaging repository.
  * Rebuild GTK-DOC manuals (some files diff-ignore'd in source/options).
  * Describe patch, to silence quilt-patch-missing-description.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 03 Nov 2013 20:08:19 +0100

shishi (1.0.2-1) experimental; urgency=low

  * New upstream version.
  * Update copyright file.
  * Added a README.source file describing packaging workflow.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 03 Apr 2013 13:06:04 +0200

shishi (1.0.1-2) unstable; urgency=low

  * Apply Aurelien's FTBFS patch. (closes: #670316)

 -- Simon Josefsson <simon@josefsson.org>  Wed, 01 Aug 2012 23:55:05 +0200

shishi (1.0.1-1) unstable; urgency=low

  * New upstream version.
  * Update copyright file.
  * Update standards version to 3.9.3 (no changes required).
  * Implement init.d 'status' action as suggested on
    http://wiki.debian.org/LSBInitScripts/StatusSupport

 -- Simon Josefsson <simon@josefsson.org>  Mon, 12 Mar 2012 20:18:02 +0100

shishi (1.0.0-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Fix cross-builds. (closes: #619229)
  * Update standards version to 3.9.1 (no changes required).

  [ Russ Allbery ]
  * Update watch file to point to ftp.gnu.org, which now has the latest
    released version.
  * Remove the *.la files from the -dev packages.  (Closes: #620717)

 -- Russ Allbery <rra@debian.org>  Wed, 06 Apr 2011 11:24:09 -0700

shishi (1.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 20 May 2010 21:10:28 +0200

shishi (0.0.43-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version.
    - Fixes rpl_stat build issue. (closes: #566748)
  * shishi-kdc.init.d: Reorder configuration file reading so that
    users can override $DAEMON.
  * Switch to dpkg-source 3.0 (quilt) format.
    - No package changes needed.
  * Call dpkg-gensymbols with -c4 for more checking.
  * Use --with-packager parameters to add Debian-specific info to
    gss --help and --version outputs.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 14 Apr 2010 13:20:05 +0200

shishi (0.0.42-1) unstable; urgency=low

  [ Simon Josefsson ]
  * Update to policy 3.8.4.
  * New upstream version.
    - New symbols added to libshishi0.symbols.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 15 Mar 2010 16:45:16 +0100

shishi (0.0.41-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version.
    - Fixes FTBFS issue. (closes: #556345)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Jan 2010 00:33:45 +0100

shishi (0.0.40-3) unstable; urgency=low

  [ Simon Josefsson ]
  * Fix shishi-kdc's init.d Provides: line to say 'shishi-kdc' instead of
    'shishid'.  No package in debian depends on the 'shishid' service,
    so we believed it would be relatively safe to make this change and
    doing it now is likely to break less external packages than doing
    the change later.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 07 Oct 2009 11:40:03 +0200

shishi (0.0.40-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Update to policy 3.8.3, no package changes required.
  * Made shishi-kdc suggest shisa, typical KDCs will need it.
  * Fix shishi-kdc's init.d script. (closes: #542112)
    - Fix Default-Start/Default-Stop in shishi-kdc's init.d script,
      patch from Petter Reinholdtsen <pere@hungry.com>.
    - Make sure upgrades from earlier shishi-kdc packages have the
      correct start/kill symlinks, patch from Petter Reinholdtsen
      <pere@hungry.com>.
  * Add $time to Request-Start/Stop because a KDC needs proper time.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 06 Oct 2009 17:49:18 +0200

shishi (0.0.40-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version.
    - The manual is now licensed under GFDLv1.3+.
  * Update copyright file for manual license.
  * Update copyright file to follow the format specified in
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Update URL in watch file (moved from josefsson.org to alpha.gnu.org).
  * Add Depends: ${misc:Depends} to fix
    lintian debhelper-but-no-misc-depends warning.
  * Add *.symbol versioning files for libshishi and libshisa.
  * Update to policy 3.8.1, no package changes required.
  * Change section of "shishi-dbg" to "debug" from "libdevel",
    and "libpam-shishi" to "admin" from "net", as per
    <http://permalink.gmane.org/gmane.linux.debian.devel.announce/1341>.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 03 Apr 2009 12:29:32 +0200

shishi (0.0.37-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version.
  * Update to policy 3.8.0, no package changes required.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 22 Jun 2008 17:09:15 +0200

shishi (0.0.36-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Change doc-base manual section from Apps/Net to System/Security (for
    main Shishi manual) and Programming/C (for API reference manual),
    to fix lintian warning doc-base-unknown-section.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 17 Mar 2008 14:08:46 +0100

shishi (0.0.36-1) unstable; urgency=low

  [ Simon Josefsson ]
  * Make shishi-dbg depend on libshisa0, shishi, shisa, shishi-kdc,
    or libpam-shishi, to fix lintian warning dbg-package-missing-depends.
  * New upstream version.
    - Improves output as discussed in #423944.
    - Fixes lintian warnings in man pages.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 14 Feb 2008 11:06:14 +0100

shishi (0.0.34-1) unstable; urgency=low

  [ Russ Allbery ]
  * Make shishi-dbg depend on the matching version of libshishi0 to
    ensure consistency between debug information and the binaries.

  [ Simon Josefsson ]
  * New upstream version.
  * Drop S from /etc/init.d/shishi-kdc,
    to fix lintian init-d-script-stops-in-s-runlevel warning.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 16 Jan 2008 18:30:24 +0100

shishi (0.0.33-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Use $(MAKE) rather than make in rules, to avoid jobserver warnings
    during parallel builds.
  * Update to policy 3.7.3.0.
  * First upload by Simon.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 30 Dec 2007 12:47:39 +0100

shishi (0.0.33-1) unstable; urgency=low

  [ Simon Josefsson ]
  * Fix FTBFS if built twice in a row.  (closes: 424253)
  * Use Homepage: field in control file.
  * Use Vcs-* headers in control file.
  * Don't use ${Source-Version} to avoid lintian warning.
  * Update copyright file to say GPLv3, as per upstream change.
  * Replace GFDL copy in copyright file with reference to base-files copy.
  * New upstream release.
    - PAM module no longer display password (closes: 442094)
    - PAM module provide password to subsequent modules (closes: 442095)

  [ Russ Allbery ]
  * Add XS-Dm-Upload-Allowed: yes so that Simon can upload directly.
  * Change the build dependency on tetex-bin to texlive-latex-base to cut
    the required build packages down somewhat.
  * Wrap the Build-Depends control field for readability.

 -- Russ Allbery <rra@debian.org>  Wed, 28 Nov 2007 20:26:19 -0800

shishi (0.0.30-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Put libpam_shishi.so in /lib/security, not
    in /usr/lib/security.  (closes: 410992)
  * Mention Russ as author of Debian package files.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 15 Feb 2007 09:50:42 +0100

shishi (0.0.30-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version.
    - STARTTLS extension support upgraded to -02 drafts.
    - Shishid nonce bugfix.
    - New ccache2shishi tool to convert from MIT/Heimdal
      tickets to Shishi format.
    - Make --with-libgcrypt work.
  * Added ccache2shishi tool and man page to shishi package, and updated
    the description of the shishi package accordingly.
  * Quote license extracts from source files in copyright file.

  [ Russ Allbery ]
  * Include a copy of the GNU Free Documentation License 1.2 in
    debian/copyright as required by Policy 12.5.

 -- Russ Allbery <rra@debian.org>  Sun,  5 Nov 2006 14:35:13 -0800

shishi (0.0.27-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version.
  * Added keytab2shishi tool and man page to shishi package, and updated
    the description of the shishi package accordingly.
  * libshishi0 depend on shishi-common (= ${source:Version}), to fix
    lintian warning not-binnmuable-any-depends-all.
  * libshisa0 depend on shishi-common, because libshisa needs shisa.conf.
  * The dependencies on libshisa0 and libshishi0 are now versioned,
    to avoid having problems with the 'shishi' package using an older
    'libshishi0' package.
  * The dummy shishid package is removed, and all references to it
    is dropped.

 -- Russ Allbery <rra@debian.org>  Sat, 23 Sep 2006 20:37:05 -0700

shishi (0.0.26-3) unstable; urgency=low

  [ Simon Josefsson ]
  * The upstream GTK-DOC files are used, instead of building with
    --enable-gtk-doc and build-depending on the gtk-doc-tools.
  * Depend on libtasn1-3-dev >= 0.3.5, since earlier versions caused
    self tests failures in Shishi on 64-bit platforms.
  * Add a link from /usr/share/doc/shishi-doc/api-reference
    to /usr/share/gtk-doc/html/shishi, to speed up finding the
    API manual.

 -- Russ Allbery <rra@debian.org>  Sun,  9 Jul 2006 10:06:15 -0700

shishi (0.0.26-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Depend on libtasn1-3-dev (now in unstable), to avoid using the
    libtasn1 included in Shishi. (closes: #374288)
  * Split the doc-base file into two doc-base files, based on discussion
    in #368449.
  * The PDF manual is not compressed (not all PDF readers handle pdf.gz).

 -- Russ Allbery <rra@debian.org>  Tue, 20 Jun 2006 10:44:18 -0700

shishi (0.0.26-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version 0.0.26.
    - Fixes MD4 on 64bit platforms (closes: #366528)
    - The PAM module is now included, and the shishid package
      has been renamed to shishi-kdc (closes: #366526)
  * Make libshishi0 depend on a versioned shishi-common package,
    because the locale files are tightly bound with the library version.
  * The libshishi-dev package now depend on libgnutls-dev and libidn11-dev,
    which are required to build a package with libtool that link to shishi.
  * The package shishid is now a dummy package to simplify migration
    to the new shishi-kdc package.
  * Update standards version to 3.7.2 (no changes required).
  * Add valgrind as Build-Depends, because it improves 'make check' output.
  * Rewrite of /etc/init.d/shishid, based on skeleton.
  * Shishi-kdc now depends on lsb-base, for functions used in the new
    init script.

 -- Russ Allbery <rra@debian.org>  Sun, 21 May 2006 22:01:51 -0700

shishi (0.0.25-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version 0.0.25.
  * Add Suggests: shishi-doc for packages shishi, shisa and shishid.
  * Improve package description.
  * Removed versioned dependency on libgnutls-dev, it was added
    to fix some linda problem but didn't work out.  Shishi doesn't
    the bleeding edge of gnutls releases.

  [ Russ Allbery ]
  * Reorder the package listing in debian/control to build the libraries
    first, which fixes missing dependencies for the binary packages.
  * Move the URL in long descriptions to a separate Homepage line
    following the recommendations of Developer's Reference 6.2.4.
  * Update standards version to 3.7.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 29 Apr 2006 19:17:51 -0700

shishi (0.0.24-1) unstable; urgency=low

  [ Simon Josefsson ]
  * New upstream version 0.0.24.
  * Changed maintainer to the list help-shishi@gnu.org, which is
    open to everyone who is interested in helping.
  * API manual in HTML and DevHelp formats, generated by gtk-doc, is
    now included.
  * Clarify ownership and license in the Debian "copyright" file.
  * Improve package descriptions (closes: #363392, #363394)
  * Make shishid start in the background, using start-stop-daemon
    --background --oknodo, pending a better solution. (closes: #361749)
  * API man pages moved from libshishi-dev to shishi-doc package,
    to reduce size of an architecture dependent package.

  [ Russ Allbery ]
  * Add myself and Simon Josefsson as Uploaders.
  * Ignore failure to stop shishid in the prerm to support upgrades from
    0.0.23-1 when shishid wasn't running.  Starting from this point
    forward, the init script ignores errors when starting or stopping
    shishid, so this is only needed for upgrades from 0.0.23-1.

 -- Russ Allbery <rra@debian.org>  Sat, 22 Apr 2006 17:03:54 -0700

shishi (0.0.23-1) unstable; urgency=low

  * Initial release (closes: #344586)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 20 Dec 2005 14:16:27 +0100
